Bug 630224 - Review Request: ghc-attempt - Concrete data type for handling extensible exceptions as failures
Review Request: ghc-attempt - Concrete data type for handling extensible exce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 630223
Blocks: ghc-convertible-text 630277
  Show dependency treegraph
 
Reported: 2010-09-04 02:02 EDT by Ben Boeckel
Modified: 2011-02-07 14:57 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-attempt-0.3.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 14:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 02:02:21 EDT
Spec URL: http://benboeckel.net/packaging/ghc-attempt/ghc-attempt.spec
SRPM URL: http://benboeckel.net/packaging/ghc-attempt/ghc-attempt-0.3.0-1.fc14.src.rpm
Description:
Defines a data type, Attempt, which has a Success and Failure
constructor. Failure contains an extensible exception.

% lintmock fedora-14-x86_64-bb
ghc-attempt.src: W: strange-permission attempt-0.3.0.tar.gz 0640L
ghc-attempt.src: W: strange-permission ghc-attempt.spec 0640L
ghc-attempt-prof.x86_64: E: devel-dependency ghc-attempt-devel
ghc-attempt-prof.x86_64: W: no-documentation
ghc-attempt-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/attempt-0.3.0/libHSattempt-0.3.0_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Narasimhan 2010-12-17 22:23:56 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-attempt-*x86_64*.rpm ghc-attempt-0.3.0-1.fc14.src.rpm ghc-attempt.spec 
ghc-attempt-prof.x86_64: E: devel-dependency ghc-attempt-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-attempt-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-attempt-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/attempt-0.3.0/libHSattempt-0.3.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-attempt.src: W: strange-permission attempt-0.3.0.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-attempt.src: W: strange-permission ghc-attempt.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

4 packages and 1 specfiles checked; 1 errors, 4 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 2-clause variant. License mentioned in source file also.
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, compared with cabal file generated by cabal2spec
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK, depends on ghc-failure
        Summary and description - OK
        API documentation - OK, present in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD 2 clause variant
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum  ghc-attempt-0.3.0-1.fc14.src/attempt-0.3.0.tar.gz 
051be218858e24ffd53b4e435f024611  ghc-attempt-0.3.0-1.fc14.src/attempt-0.3.0.tar.gz

md5sum ~/Downloads/attempt-0.3.0.tar.gz 
051be218858e24ffd53b4e435f024611  ~/Downloads/attempt-0.3.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-attempt
error: Failed dependencies:
	ghc-attempt = 0.3.0-1.fc14 is needed by (installed) ghc-attempt-devel-0.3.0-1.fc14.x86_64

rpm -e ghc-attempt-devel
error: Failed dependencies:
	ghc-attempt-devel = 0.3.0-1.fc14 is needed by (installed) ghc-attempt-prof-0.3.0-1.fc14.x86_64

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Wrote a small program that imports the module Data.Attempt. Compiles and builds fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Ben Boeckel 2010-12-17 23:27:38 EST
New Package CVS Request
=======================
Package Name: ghc-attempt
Short Description: Concrete data type for handling extensible exceptions as failures
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 3 Kevin Fenzi 2010-12-21 01:03:05 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-01-29 12:46:55 EST
ghc-attempt-0.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-attempt-0.3.0-1.fc14
Comment 5 Fedora Update System 2011-01-29 12:47:02 EST
ghc-attempt-0.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-attempt-0.3.0-1.fc13
Comment 6 Fedora Update System 2011-01-30 14:51:09 EST
ghc-attempt-0.3.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-attempt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-attempt-0.3.0-1.fc14
Comment 7 Fedora Update System 2011-02-07 14:54:17 EST
ghc-attempt-0.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-02-07 14:57:29 EST
ghc-attempt-0.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.